# -*- rpm-spec -*-
# $Id: xemacs-ispell,v 1.20 2005/03/12 14:50:42 me Exp $

Name: xemacs-ispell
Version: 1.31
Release: alt1

%define_xemacs_package ispell

Summary: Spell-checking with GNU ispell
License: GPL
Group: Editors

%description
Spell-checking with GNU ispell or aspell

%prep
%setup -q -c

%install
%xemacs_package_install
%xemacs_package_find_files

%__mkdir_p %buildroot%_xemacs_sitestartdir
%__cat <<EOF > %buildroot%_xemacs_sitestartdir/20%xemacs_package.el
;;; use aspell instead of ispell
(custom-set-variables
	'(ispell-program-name "aspell")
)
EOF

%post
%xemacs_install_info %xemacs_package.info

%preun
%xemacs_uninstall_info %xemacs_package.info

%files -f %name-files
%_xemacs_sitestartdir/20%xemacs_package.el

%changelog
* Sat Mar 12 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.31-alt1
- 1.31

* Sat Feb 07 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.29-alt1
- 1.29

* Sat Nov 15 2003 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.26-alt1
- 1.26

* Sat Oct 18 2003 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.24-alt4
- switched to aspell

* Sat Dec 21 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.24-alt3
- #1531 fixed

* Mon Oct 28 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.24-alt2
- missing requires added

* Mon Aug  5 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.24-alt1
- first build for %distribution distribution

